/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-09-08 17:11:02
 * @LastEditors: 无尘
 * @LastEditTime: 2020-10-20 10:46:38
 */
import getFetch from './get-fetch';

const api = {
  getAppList: '/application-list', // 获取应用列表
  getAppDetail: '/application-detail', // 获取应用详情
  getMarketAccount: '/get-account-info', // 获取服务市场账号
  refreshMarketAccount: '/refesh-account-info', // 刷新服务市场账号
  addMarketAccount: {
    url: '/bind-service-account', // 添加服务市场账号
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  getAuthAppDetail: '/get-application-info', // 获取授权应用详情
  getAppAuthInfo: '/right-list', // 获取授权信息
  postAuthRights: '/oauth/authorize', // 授权(改用form提交)
  postPhoneCode: {
    url: '/send-code', // 发送验证码
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
  checkCode: {
    url: '/validate-code', // 校验验证码
    method: 'post',
    useFormData: true,
    useIntercept: false
  },
};

export default getFetch(api, '/hb-manage-web');
